Installed NSP (via SX OS 1.9) was corrupted and got stuck in the library

Discussion in 'Switch - Backup Loaders & Modchips' started by jamesalfred, Sep 20, 2018.

  1. jamesalfred
    OP

    jamesalfred Advanced Member

    Newcomer
    3
    Oct 20, 2007
    Indonesia
    Hi there,

    Recently I installed an .NSP file (Capcom Beat 'em up bundle) from a certain site. I installed it using SX OS 1.9, trying to run in on firmware 4.0.1. It says the NSP was installed fine. I went out the menu to check it, and it only appears as a blank icon with rotating busy icon in the middle of it. If I tried to click it, it will say that the software could not be started.
    Now the problem is..... I can't press the "+" icon either while hovering on that icon. Meaning I can't delete it from my library. I tried reinstalling the NSP, but no dice.

    Is there any other way to remove this (presumably) corrupted NSP file? Thanks in advance.
     
  2. Dust2dust

    Dust2dust GBAtemp Advanced Fan

    Member
    6
    Jun 17, 2010
    Canada
    devmenu would do it, I think. I just got the same nsp this morning from CDNSP. I'll try it to see if I get the same results. Note that the NSP installer from SXOS always results in corrupted installs (you can check that in software management on the Switch) but the games usually work fine.

    Edit: Just tested my NSP of Capcom beat'em up bundle and everything works fine on my side, played the first two levels of Final Fight. SXOS 1.5, Firmware 5.1, installed with devmenu.
     
    Last edited by Dust2dust, Sep 20, 2018
  3. jamesalfred
    OP

    jamesalfred Advanced Member

    Newcomer
    3
    Oct 20, 2007
    Indonesia
    Thanks for the reply. Out of curiosity, I tried going to the system settings, data management, then successfully deleted that NSP from it. Yes, SX OS always corrupt the install, but usually it will end up with playable game. This is a new case for me lol. Do tell your result with the NSP from other source. Thank you.
     
  4. Dust2dust

    Dust2dust GBAtemp Advanced Fan

    Member
    6
    Jun 17, 2010
    Canada
    The results are in. It worked. I edited my first reply. Devmenu does a better job of installing NSPs... no corrupt installs.
     
  5. jamesalfred
    OP

    jamesalfred Advanced Member

    Newcomer
    3
    Oct 20, 2007
    Indonesia
    Ahhh, wilco. I'll try with devmenu then. Thanks!
     
    Dust2dust likes this.
  6. dsrules

    dsrules GBAtemp Psycho!

    Member
    9
    Sep 20, 2005
    maybe the game requires higher than 4.0.1
     
  7. hippy dave

    hippy dave BBMB

    Member
    13
    Apr 30, 2012
    United Kingdom
    Don't use SX OS's own installer, use devmenu or tinfoil.
     
  8. borngborn

    borngborn Advanced Member

    Newcomer
    3
    Jun 6, 2018
    United States
    i Dont use Xecuter to install NSP their installer Corrupts every NSP i have installed use Tinfoil
     
  9. jamesalfred
    OP

    jamesalfred Advanced Member

    Newcomer
    3
    Oct 20, 2007
    Indonesia
    Quite likely. I already downloaded NSPs from other sources, same case. Using DevMenu or Tinfoil didn't work either. I'm still curious lol.
     
  10. Rudolf

    Rudolf Member

    Newcomer
    1
    Aug 30, 2007
    Netherlands
Loading...